Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 143)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 146)
@@ -35,6 +35,5 @@
 						<tr class="light">
 							<xsl:variable name="element_objDrillReport_sequence" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='obj_drillReport']/xsd:sequence/xsd:sequence"/>
-							<xsl:variable name="element_header" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='header']/xsd:sequence"/>
-							<xsl:variable name="element_rigTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='rigTypes']/xsd:restriction"/>
+							<xsl:variable name="element_statusInfo" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='statusInfo']/xsd:sequence"/>
 							<td>
 								<table id="table1">
@@ -45,6 +44,5 @@
 										</td>
 										<td class="light">
-											<xsl:value-of select="witsml:header/witsml:reportNo" />
-											<!--$element_header//xsd:element[@name='reportNo']"/>-->
+											<xsl:value-of select="witsml:statusInfo/witsml:reportNo" />
 										</td>
 										<td class="ColHead">
@@ -93,49 +91,4 @@
 										</td>
 									</tr>
-									<!-- Added 18jan2011 -->
-									<tr class="light">
-										<td class="ColHead">
-											<a target="_blank" href="{$urlRDS}">High Pressure - High Temperature:</a>
-										</td>
-										<td class="light">
-											<xsl:value-of select="witsml:header/witsml:hpht" />
-										</td>
-										<td class="ColHead">
-											<a target="_blank" href="{$urlRDS}">Tight well:</a>
-										</td>
-										<td class="light">
-											<xsl:value-of select="witsml:header/witsml:tightWell"/>
-										</td>
-									</tr>
-									<!-- END Added 18jan2011 -->
-									<!-- Added 26jan2011 -->
-									<tr class="light">
-										<td class="ColHead">
-											<a target="_blank" href="{$urlRDS}">Pressure (<xsl:value-of select="witsml:header/witsml:avgPresBH/@uom" />):</a>
-										</td>
-										<td class="light">
-											<xsl:value-of select="witsml:header/witsml:avgPresBH"/>
-										</td>
-										<td class="ColHead">
-											<a target="_blank" href="{$urlRDS}">Temperature (<xsl:value-of select="witsml:header/witsml:expTempBH/@uom" />):</a>
-										</td>
-										<td class="light">
-											<xsl:value-of select="witsml:header/witsml:expTempBH"/>
-										</td>
-									</tr>
-									<tr class="light">
-										<!-- END Added 26jan2011 -->
-										<!-- Added 07feb2011 -->
-										<!--</tr>
-									<tr class="light">-->
-										<td class="ColHead">
-											<a target="_blank" href="{$urlRDS}">Rig Type:</a>
-										</td>
-										<td class="light">
-											<xsl:variable name="element_rigType" select="witsml:header/witsml:rigType" />
-											<xsl:value-of select="$element_rigTypes//xsd:enumeration[@value=$element_rigType]" />
-										</td>
-									</tr>
-									<!-- END Added 07feb2011 -->
 									<tr height="5px">
 										<td colspan="6"/>
@@ -508,119 +461,4 @@
 						<!--  witsml:pipe -->
 						<xsl:if test="count(witsml:casing_liner_tubing) > 0">
-						<tr height="5px">
-							<td/>
-						</tr>
-						<tr>
-							<td>
-								<hr/>
-							</td>
-						</tr>
-						<tr>
-							<td class="SectionHead">Casing/Liner/Tubing information</td>
-						</tr>
-						<tr>
-							<td>
-								<table id="table2">
-									<xsl:variable name="element_pipe" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='casing_liner_tubing']/xsd:sequence"/>
-									<!--<xsl:variable name="url_readingKind"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='readingKind']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_equivalentMudWeight"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='equivalentMudWeight']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_dTim"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='dTim']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_md"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='md']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_tvd"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='tvd']/@sawsdl:modelReference"/></xsl:variable>-->
-									<tr>
-										<td align="center" valign="top">
-											<a target="_blank" href="{$urlRDS}">Type of pipe</a>
-										</td>
-										<td align="center" valign="top">
-											<a target="_blank" href="{$urlRDS}">Casing type</a>
-										</td>
-										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Run time</a>
-										</td>
-										<td align="center" width="100" valign="top">
-											<a target="_blank" href="{$urlRDS}">Description</a>
-										</td>
-										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Nominal outside diameter<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:od/@uom"/>
-											</a>
-										</td>
-										<td align="center" width="100" valign="top">
-											<a target="_blank" href="{$urlRDS}">Nominal inside diameter<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:id/@uom"/>
-											</a>
-										</td>
-										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Nominal Weight<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:weight/@uom"/>
-											</a>
-										</td>
-										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Nominal Grade</a>
-										</td>
-										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Nominal Connection</a>
-										</td>
-										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Length<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:length/@uom"/>
-											</a>
-										</td>
-										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Top/Hangar MD<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:mdTop/@uom"/>
-											</a>
-										</td>
-										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Bottom/Shoe MD<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:mdBottom/@uom"/>
-											</a>
-										</td>
-									</tr>
-									<xsl:for-each select="witsml:casing_liner_tubing">
-										<tr class="light">
-											<td align="center">
-												<xsl:variable name="element_pipeType" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='tubularTypes']/xsd:restriction"/>
-												<xsl:variable name="pipeType" select="witsml:type" />
-												<xsl:value-of select="$element_pipeType//xsd:enumeration[@value=$pipeType]"/>
-											</td>
-											<td align="center">
-												<xsl:variable name="element_casing" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='stimStageType']/xsd:restriction"/>
-												<xsl:variable name="casingTypes" select="witsml:casing_liner_tubing_run/witsml:kind" />
-												<xsl:value-of select="$element_casing//xsd:enumeration[@value=$casingTypes]"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimStart, 0, 17), 'T')"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:casing_liner_tubing_run/witsml:description"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:od"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:id"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:weight"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:grade"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:connection"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:length"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:mdTop"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:mdBottom"/>
-											</td>
-										</tr>
-									</xsl:for-each>
-								</table>
-							</td>
-						</tr>
-						</xsl:if>
-						<!-- witsml:cement -->
-						<xsl:if test="count(witsml:cementStage) > 0">
-						<xsl:for-each select="witsml:cementStage">
 							<tr height="5px">
 								<td/>
@@ -632,10 +470,10 @@
 							</tr>
 							<tr>
-								<td class="SectionHead">Cement information</td>
+								<td class="SectionHead">Casing/Liner/Tubing information</td>
 							</tr>
 							<tr>
 								<td>
 									<table id="table2">
-										<xsl:variable name="element_cement" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cement']/xsd:sequence"/>
+										<xsl:variable name="element_pipe" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='casing_liner_tubing']/xsd:sequence"/>
 										<!--<xsl:variable name="url_readingKind"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='readingKind']/@sawsdl:modelReference"/></xsl:variable>
 						    			<xsl:variable name="url_equivalentMudWeight"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='equivalentMudWeight']/@sawsdl:modelReference"/></xsl:variable>
@@ -645,222 +483,93 @@
 										<tr>
 											<td align="center" valign="top">
-												<a target="_blank" href="{$urlRDS}">Start Time</a>
+												<a target="_blank" href="{$urlRDS}">Type of pipe</a>
 											</td>
 											<td align="center" valign="top">
-												<a target="_blank" href="{$urlRDS}">End Time</a>
+												<a target="_blank" href="{$urlRDS}">Casing type</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Job Type</a>
+												<a target="_blank" href="{$urlRDS}">Run time</a>
+											</td>
+											<td align="center" width="100" valign="top">
+												<a target="_blank" href="{$urlRDS}">Description</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Casing string diameter</a>
+												<a target="_blank" href="{$urlRDS}">Nominal outside diameter<br />
+													<xsl:value-of select="witsml:casing_liner_tubing/witsml:od/@uom"/>
+												</a>
 											</td>
 											<td align="center" width="100" valign="top">
-												<a target="_blank" href="{$urlRDS}">Comments</a>
+												<a target="_blank" href="{$urlRDS}">Nominal inside diameter<br />
+													<xsl:value-of select="witsml:casing_liner_tubing/witsml:id/@uom"/>
+												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Top plug used</a>
+												<a target="_blank" href="{$urlRDS}">Nominal Weight<br />
+													<xsl:value-of select="witsml:casing_liner_tubing/witsml:weight/@uom"/>
+												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Bottom plug used</a>
+												<a target="_blank" href="{$urlRDS}">Nominal Grade</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Plug failed to bump</a>
+												<a target="_blank" href="{$urlRDS}">Nominal Connection</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Plug bump pressure <xsl:value-of select="witsml:presBump/@uom"/>
+												<a target="_blank" href="{$urlRDS}">Length<br />
+													<xsl:value-of select="witsml:casing_liner_tubing/witsml:length/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Float failed</a>
+												<a target="_blank" href="{$urlRDS}">Top/Hangar MD<br />
+													<xsl:value-of select="witsml:casing_liner_tubing/witsml:mdTop/@uom"/>
+												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Pressure release time</a>
-											</td>
-											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Full returns</a>
-											</td>
-											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">cement volume returns <xsl:value-of select="witsml:volReturns/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Reciprocated</a>
-											</td>
-											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Rotated</a>
+												<a target="_blank" href="{$urlRDS}">Bottom/Shoe MD<br />
+													<xsl:value-of select="witsml:casing_liner_tubing/witsml:mdBottom/@uom"/>
+												</a>
 											</td>
 										</tr>
-										<tr class="light">
-											<td align="center">
-												<xsl:value-of select="substring-after(substring(witsml:dTimPumpStart, 0, 17), 'T')"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="substring-after(substring(witsml:dTimPumpEnd, 0, 17), 'T')"/>
-											</td>
-											<td align="center">
-												<xsl:variable name="element_jobTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='cementJobTypes']/xsd:restriction"/>
-												<xsl:variable name="jobTypes" select="witsml:jobType" />
-												<xsl:value-of select="$element_jobTypes//xsd:enumeration[@value=$jobTypes]"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:casingStrDia"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:comment"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:topPlug"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:botPlug"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:plugBumped"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:presBump"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:floatFailed"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="substring(witsml:eTimPresHeld, 0, 17)"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:annFlowAfter"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:volReturns"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:reciprocated"/>
-											</td>
-											<td align="center">
-												<xsl:value-of select="witsml:rotated"/>
-											</td>
-										</tr>
-									</table>
-								</td>
-							</tr>
-							<!--  witsml:cementingFluid -->
-							<tr height="5px">
-								<td/>
-							</tr>
-							<tr>
-								<td>
-								</td>
-							</tr>
-							<tr>
-								<td class="SectionHead">Cementing Fluid Details</td>
-							</tr>
-							<xsl:variable name="element_fluid" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cementingFluid']/xsd:sequence"/>
-							<xsl:variable name="url_dTimFluid">
-								<xsl:value-of select="$element_fluid//xsd:element[@name='dTim']/@sawsdl:modelReference"/>
-							</xsl:variable>
-							<xsl:variable name="url_mdFluid">
-								<xsl:value-of select="$element_fluid//xsd:element[@name='md']/@sawsdl:modelReference"/>
-							</xsl:variable>
-							<xsl:variable name="url_mudClass">
-								<xsl:value-of select="$element_fluid//xsd:element[@name='mudClass']/@sawsdl:modelReference"/>
-							</xsl:variable>
-							<xsl:variable name="url_density">
-								<xsl:value-of select="$element_fluid//xsd:element[@name='density']/@sawsdl:modelReference"/>
-							</xsl:variable>
-							<xsl:variable name="url_pv">
-								<xsl:value-of select="$element_fluid//xsd:element[@name='pv']/@sawsdl:modelReference"/>
-							</xsl:variable>
-							<xsl:variable name="url_yp">
-								<xsl:value-of select="$element_fluid//xsd:element[@name='yp']/@sawsdl:modelReference"/>
-							</xsl:variable>
-							<tr>
-								<td>
-									<table id="table2">
-										<tr>
-											<td align="left"  width="60" valign="top">
-												<a target="_blank" href="{$url_dTimFluid}">Sample Time</a>
-											</td>
-											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$url_mdFluid}">MD At Logging <xsl:value-of select="witsml:cementingFluid/witsml:mdLog/@uom" />
-												</a>
-											</td>
-											<td align="center" width="100" valign="top">
-												<a target="_blank" href="{$url_mudClass}">Fluid Type</a>
-											</td>
-											<td align="center" width="100" valign="top">
-												<a target="_blank" href="{$url_mudClass}">Fluid Description</a>
-											</td>
-											<td align="center" width="100" valign="top">
-												<a target="_blank" href="{$urlRDS}">Volume Pumped <xsl:value-of select="witsml:cementingFluid/witsml:volPumped/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="100" valign="top">
-												<a target="_blank" href="{$url_density}">Fluid Density <xsl:value-of select="witsml:cementingFluid/witsml:density/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="120" valign="top">
-												<a target="_blank" href="{$url_pv}">Fluid Viscosity <xsl:value-of select="witsml:cementingFluid/witsml:pv/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="80" valign="top">
-												<a target="_blank" href="{$url_yp}">Yield Point <xsl:value-of select="witsml:cementingFluid/witsml:yp/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="80" valign="top">
-												<a target="_blank" href="{$urlRDS}">Mix Water Ratio <xsl:value-of select="witsml:cementingFluid/witsml:ratioMixWater/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="80" valign="top">
-												<a target="_blank" href="{$urlRDS}">Free Water <xsl:value-of select="witsml:cementingFluid/witsml:pcFreeWater/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="80" valign="top">
-												<a target="_blank" href="{$urlRDS}">Thick Time <xsl:value-of select="witsml:cementingFluid/witsml:eTimThickening/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="100" valign="top">
-												<a target="_blank" href="{$urlRDS}">Comments</a>
-											</td>
-
-										</tr>
-										<xsl:for-each select="witsml:cementingFluid">
+										<xsl:for-each select="witsml:casing_liner_tubing">
 											<tr class="light">
-												<td>
-													<xsl:value-of select="substring(witsml:dTimTest, 0, 17)"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:mdLog"/>
-												</td>
-												<td align="center">
-													<xsl:variable name="element_fluidTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='fluidTypes']/xsd:restriction"/>
-													<xsl:variable name="fluidTypes" select="witsml:typeFluid" />
-													<xsl:value-of select="$element_fluidTypes//xsd:enumeration[@value=$fluidTypes]"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:descFluid"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:volPumped"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:density"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:pv"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:yp"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:ratioMixWater"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:pcFreeWater"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:eTimThickening"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:comment"/>
+												<td align="center">
+													<xsl:variable name="element_pipeType" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='tubularTypes']/xsd:restriction"/>
+													<xsl:variable name="pipeType" select="witsml:type" />
+													<xsl:value-of select="$element_pipeType//xsd:enumeration[@value=$pipeType]"/>
+												</td>
+												<td align="center">
+													<xsl:variable name="element_casing" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='stimStageType']/xsd:restriction"/>
+													<xsl:variable name="casingTypes" select="witsml:casing_liner_tubing_run/witsml:kind" />
+													<xsl:value-of select="$element_casing//xsd:enumeration[@value=$casingTypes]"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimStart, 0, 17), 'T')"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:casing_liner_tubing_run/witsml:description"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:od"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:id"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:weight"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:grade"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:connection"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:length"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:mdTop"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:mdBottom"/>
 												</td>
 											</tr>
